Debian Bug report logs - #541968
gnome-screensaver: --poke option has no effect

version graph

Package: gnome-screensaver; Maintainer for gnome-screensaver is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gnome-screensaver is src:gnome-screensaver.

Reported by: Evgeny <jpt@mail.ru>

Date: Mon, 17 Aug 2009 00:30:01 UTC

Severity: normal

Tags: patch, upstream, wontfix

Found in version gnome-screensaver/2.26.1-2

Forwarded to http://bugzilla.gnome.org/show_bug.cgi?id=579430

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#541968; Package gnome-screensaver. (Mon, 17 Aug 2009 00:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeny <jpt@mail.ru>:
New Bug report received and forwarded. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Mon, 17 Aug 2009 00:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Evgeny <jpt@mail.ru>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gnome-screensaver: --poke option has no effect
Date: Sun, 16 Aug 2009 19:27:34 -0500
Package: gnome-screensaver
Version: 2.26.1-2
Severity: normal

"gnome-screensaver-command --poke"  does not prevent screensaver from running since upgrade to 2.26 version of gnome-screensaver. 
I checked the idle time with "xprintidle" command, and "--poke" does not reset it as it should (since "--poke" simulates user activity).

If I try  to poke with dbus-send command:

$ dbus-send --session --dest=org.gnome.ScreenSaver --type=method_call --print-reply --reply-timeout=2000 /org/gnome/ScreenSaver org.gnome.ScreenSaver.Poke

I am getting an error:

Error org.freedesktop.DBus.Error.UnknownMethod: Method "Poke" with signature "" on interface "org.gnome.ScreenSaver" doesn't exist

Other commands, like "gnome-screensaver-command --lock" or
$ dbus-send --session --dest=org.gnome.ScreenSaver --type=method_call --print-reply --reply-timeout=2000 /org/gnome/ScreenSaver org.gnome.ScreenSaver.Lock
works just fine. 


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (750, 'testing'), (700, 'testing-proposed-updates'), (660, 'proposed-updates'), (650, 'stable'), (600, 'unstable'), (550, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-screensaver depends on:
ii  dbus-x11                      1.2.16-2   simple interprocess messaging syst
ii  gconf2                        2.26.2-3   GNOME configuration database syste
ii  gnome-icon-theme              2.26.0-1   GNOME Desktop icon theme
ii  gnome-session                 2.26.2-1   The GNOME Session Manager
ii  libc6                         2.9-23     GNU C Library: Shared libraries
ii  libcairo2                     1.8.8-2    The Cairo 2D vector graphics libra
ii  libdbus-1-3                   1.2.16-2   simple interprocess messaging syst
ii  libdbus-glib-1-2              0.82-1     simple interprocess messaging syst
ii  libgconf2-4                   2.26.2-3   GNOME configuration database syste
ii  libgl1-mesa-glx [libgl1]      7.0.3-7    A free implementation of the OpenG
ii  libglade2-0                   1:2.6.4-1  library to load .glade files at ru
ii  libglib2.0-0                  2.20.1-2   The GLib library of C routines
ii  libgnome-desktop-2-11         2.26.1-1   Utility library for loading .deskt
ii  libgnome-menu2                2.26.1-2   an implementation of the freedeskt
ii  libgnomekbd3                  2.26.0-1   GNOME library to manage keyboard c
ii  libgtk2.0-0                   2.16.1-2   The GTK+ graphical user interface 
ii  libnotify1 [libnotify1-gtk2.1 0.4.5-1    sends desktop notifications to a n
ii  libpam0g                      1.0.1-10   Pluggable Authentication Modules l
ii  libpango1.0-0                 1.24.5-1   Layout and rendering of internatio
ii  libx11-6                      2:1.2.2-1  X11 client-side library
ii  libxext6                      2:1.0.4-1  X11 miscellaneous extension librar
ii  libxklavier12                 3.9-1      X Keyboard Extension high-level AP
ii  libxxf86misc1                 1:1.0.1-3  X11 XFree86 miscellaneous extensio
ii  libxxf86vm1                   1:1.0.2-1  X11 XFree86 video mode extension l

Versions of packages gnome-screensaver recommends:
ii  gnome-power-manager           2.26.3-1   power management tool for the GNOM
ii  libpam-gnome-keyring          2.26.1-1   PAM module to unlock the GNOME key
ii  rss-glx                       0.9.0-2    Really Slick Screensavers GLX Port

Versions of packages gnome-screensaver suggests:
ii  xscreensaver-data             5.05-3     data files to be shared among scre

-- no debconf information




Set Bug forwarded-to-address to 'http://bugzilla.gnome.org/show_bug.cgi?id=579430'. Request was from Sven Arvidsson <sa@whiz.se> to control@bugs.debian.org. (Tue, 08 Sep 2009 19:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#541968; Package gnome-screensaver. (Wed, 09 Sep 2009 02:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeny <pronin@unlserve.unl.edu>:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Wed, 09 Sep 2009 02:15:03 GMT) Full text and rfc822 format available.

Message #12 received at 541968@bugs.debian.org (full text, mbox):

From: Evgeny <pronin@unlserve.unl.edu>
To: 541968@bugs.debian.org
Subject: DBus command is wrong
Date: Tue, 08 Sep 2009 21:09:36 -0500
I am sorry, DBus command for poke must be

$ dbus-send --session --dest=org.gnome.ScreenSaver --type=method_call --print-reply --reply-timeout=2000 /org/gnome/ScreenSaver org.gnome.ScreenSaver.SimulateUserActivity

It has no effect as well as

$ gnome-screensaver-command --poke




Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#541968; Package gnome-screensaver. (Wed, 09 Sep 2009 02:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeny <jpt@mail.ru>:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Wed, 09 Sep 2009 02:18:02 GMT) Full text and rfc822 format available.

Message #17 received at 541968@bugs.debian.org (full text, mbox):

From: Evgeny <jpt@mail.ru>
To: 541968@bugs.debian.org
Subject: DBus command for poke is wrong
Date: Tue, 08 Sep 2009 21:11:35 -0500
I am sorry, DBus command for poke must be

$ dbus-send --session --dest=org.gnome.ScreenSaver --type=method_call 
--print-reply --reply-timeout=2000 /org/gnome/ScreenSaver 
org.gnome.ScreenSaver.SimulateUserActivity

It has no effect as well as

$ gnome-screensaver-command --poke




Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#541968; Package gnome-screensaver. (Wed, 09 Sep 2009 21:33:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Arvidsson <sa@whiz.se>:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Wed, 09 Sep 2009 21:33:35 GMT) Full text and rfc822 format available.

Message #22 received at 541968@bugs.debian.org (full text, mbox):

From: Sven Arvidsson <sa@whiz.se>
To: Evgeny <jpt@mail.ru>, 541968@bugs.debian.org
Subject: Re: Bug#541968: DBus command for poke is wrong
Date: Wed, 09 Sep 2009 23:24:34 +0200
[Message part 1 (text/plain, inline)]
On Tue, 2009-09-08 at 21:11 -0500, Evgeny wrote:
> I am sorry, DBus command for poke must be
> 
> $ dbus-send --session --dest=org.gnome.ScreenSaver --type=method_call 
> --print-reply --reply-timeout=2000 /org/gnome/ScreenSaver 
> org.gnome.ScreenSaver.SimulateUserActivity
> 
> It has no effect as well as
> 
> $ gnome-screensaver-command --poke

Hi,

See the upstream bug, this function have been replaced with a FIXME in
2.26,

https://bugzilla.gnome.org/show_bug.cgi?id=579430

-- 
Cheers,
Sven Arvidsson
http://www.whiz.se
PGP Key ID 760BDD22

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#541968; Package gnome-screensaver. (Thu, 08 Oct 2009 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to ROSSIGNON Corentin <corentin1234@gmail.com>:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Thu, 08 Oct 2009 14:18:03 GMT) Full text and rfc822 format available.

Message #27 received at 541968@bugs.debian.org (full text, mbox):

From: ROSSIGNON Corentin <corentin1234@gmail.com>
To: 541968@bugs.debian.org
Subject: Patch
Date: Thu, 08 Oct 2009 16:08:56 +0200
[Message part 1 (text/plain, inline)]

[user_activity.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#541968; Package gnome-screensaver. (Thu, 15 Oct 2009 13:00:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Mutricy <xtophe@chewa.net>:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Thu, 15 Oct 2009 13:00:19 GMT) Full text and rfc822 format available.

Message #32 received at 541968@bugs.debian.org (full text, mbox):

From: Christophe Mutricy <xtophe@chewa.net>
To: 541968@bugs.debian.org
Subject: Packages.
Date: Thu, 15 Oct 2009 13:27:33 +0100
For easier testing, packages with the patch applied are available at
http://people.videolan.org/~xtophe/debian/

-- 
Xtophe




Information forwarded to debian-bugs-dist@lists.debian.org, gpastore@debian.org (Guilherme de S. Pastore):
Bug#541968; Package gnome-screensaver. (Fri, 16 Oct 2009 18:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christophe Mutricy <xtophe@chewa.net>:
Extra info received and forwarded to list. Copy sent to gpastore@debian.org (Guilherme de S. Pastore). (Fri, 16 Oct 2009 18:39:02 GMT) Full text and rfc822 format available.

Message #37 received at 541968@bugs.debian.org (full text, mbox):

From: Christophe Mutricy <xtophe@chewa.net>
To: control@bugs.debian.org, 541968@bugs.debian.org
Subject: Re: Packages
Date: Fri, 16 Oct 2009 20:32:37 +0200
tag 541968 +patch
thanks

Hello,

I can know confirm that the packages built with the patch from
Corentin's message fix the problem. (tested with vlc)

-- 
Xtophe




Added tag(s) patch. Request was from Christophe Mutricy <xtophe@chewa.net> to control@bugs.debian.org. (Fri, 16 Oct 2009 18:39:04 GMT) Full text and rfc822 format available.

Added tag(s) upstream and wontfix. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 07 Mar 2011 16:39:47 GMT) Full text and rfc822 format available.

Removed tag(s) wontfix. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 23 Feb 2012 16:49:05 GMT) Full text and rfc822 format available.

Added tag(s) wontfix. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 29 Nov 2012 16:45:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:51:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.